Subject: [Sml] Re: Structured Email and AI Agents
From: Michael Richardson <[email-masked]>
To: [email-masked]
Date: Thu, 28 Aug 2025 17:11:54 -0400
List-Id: Structured Email <sml.ietf.org>

Yes we can use Sender:
It contains an email address.  Does it need to be valid? I think so.
I'm concerned that it might then be used for other kinds of validation, and
we can't just put what we need there.

So, yes, we could use it.
I don't agree that the *target* can be indicated with Content-Type.

I don't think this example is at all correct:

  From: Boss Bob <[email-masked]>
  Sender: Bob's assistant <[email-masked]>
  Subject: whatever

I think it would be:
  From: Boss Bob <[email-masked]>
  Sender: Company Travel Assistant <[email-masked]>
  Subject: whatever

Having the same email in Sender: would mean sorting (sieving) on what?
The word "assistant" in the other part?

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide